#! /usr/local/bin/wish

source ../lib/util.tcl
source ../lib/tooltip.tcl
source ../lib/html.tcl

pack [label .l -textvariable two_ttInfo -anchor w] -fill x -side bottom
pack [frame .z] -side bottom -fill x
pack [frame .a] -expand true -fill both

set home [file join .. doc html index.html]

pack [scrollbar .a.sy -command ".a.h yview"] -side right -fill y
pack [two_html .a.h -ys ".a.sy set" -home $home] -expand true -fill both

pack [button .z.h -text "Home" -command {.a.h home}] -side left
pack [button .z.p -text "Prev" -command {.a.h prev} -state disabled] -side left
pack [button .z.n -text "Next" -command {.a.h next} -state disabled] -side left
pack [button .z.x -text "Exit" -command exit] -side left

bind .a.h <<PrevOn>>  { .z.p configure -state normal   }
bind .a.h <<PrevOff>> { .z.p configure -state disabled }
bind .a.h <<NextOn>>  { .z.n configure -state normal   }
bind .a.h <<NextOff>> { .z.n configure -state disabled }

wm title . "Help"
trace variable TwoHtmlTitle w title

focus .a.h

proc title {args} {
    global TwoHtmlTitle
    wm title . "$TwoHtmlTitle \[TWO HTML\]"
}

after idle {.a.h home}
