.TH two_array n load\ and\ save\ arrays TWO\ library
.ds )H FJL
.ds ]W http://fjl.de/two/
.SH NAME
two_array \- Load and save TCL arrays
.SH SYNOPSIS
.CI package\ require\ twoArray \ ?1.0?
.br
.C two_arrray
.CR load | save
.I fileName\ arrayName\ ?force?
.SH DESCRIPTION
Load and save TCL arrays to/from a file. This is very useful for simple
configuration files: set elements of an array and save/load it. It does
.I not
use Tcl's list formating rules, which might be an advantage or not.
.SH COMMANDS
.C two_array
takes all of the TCL array(n) command and the following two additional
commands to load/save an array:
.RS
.TP
.CI two_array\ load \ fileName\ arrayName\ ?force?
Open file
.I fileName
and fill array
.I arrayName
with the content. If
.I force
(a TCL_BOOLEAN value) is set to true then the file is required to exist,
or the program will print an error message and exit.
.TP
.CI two_array\ save \ fileName\ arrayName
Save array
.I arrayName
to file
.IR fileName .
.SH CODING
Array files are coded as lines of 
.C key:value
pairs. \c
.C key
and
.C value
are taken almost literally from the array except for some character
replacements:
.RS
.TP
.C <NL>
replaced by
.RC \' %n \'.
.TP
.C :
replaced by
.RC \' %d \'.
.TP
.C %
replaced by
.RC \' %p \'.
.RE
.SH AUTHOR
Frank J. Leitner
.br
frank@fjl.de
.SH SEE ALSO
array(n).
