.TH two_autosb n Automatic\ Scrollbar TWO\ library
.ds )H FJL
.ds ]W http://fjl.de/two/
.SH NAME
two_autosb \- Create and manipulate an automatic scrollbar widget
.SH SYNOPSIS
.CI package\ require\ twoAutosb \ ?1.0?
.br
.C two_autosb
.I pathname
.RI ? options ?
.SH DESCRIPTION
The
.C two_autosb
command creates a new window which is virtually the same as a normal Tk
.C scrollbar
widget. The main difference is that an two_autosb widget is only visible
when it is really needed: it automatically disappears whenever there
is nothing to be scrolled.
.PP
.C two_autosb
thus helps saving space within the GUI.
.SH OPTIONS
The same as scrollbar(n).
.SH ELEMENTS
This widget is implemented as a normal Tk scrollbar embedded within
a frame (class: 
.CR TwoAutoSb ).
.SH BUGS
Unfortunatley, the two_autosb cannot really disappear completely; it will
leave a frame widget with a width (or height) of 1 pixel.
The reason is that the real scrollbar is embedded within a frame, and
this frame has to stay up in order to keep different kinds of geometry
management working. A frame widget apparantly can\'t be set to a null
size.
.PP
There are cases where the auto scrollbar does not appear or disappear
when it should. The basic problem with automatically hiding a scrollbar
is that this action usually changes the viewable area of the scrolled
widget. This might in turn change the need for a scrollbar - without
any protection, the show/hide would loop forever. Unfortunately, this
protection against looping sometimes prevents \"legal\" changes in
scrollbar visibility.

.SH AUTHOR
Frank J. Leitner
.br
frank@fjl.de
.SH SEE ALSO
scrollbar(n).
