.TH two_bugmail n TCL\ bgerror\ handler TWO\ library
.ds )H FJL
.ds ]W http://fjl.de/two/
.SH NAME
two_bugmail \- Modified TCL bgerror handler
.SH SYNOPSIS
.CI package\ require\ twoBugmail \ ?1.0?
.br
.C two_bugmail
.I command
.RI ? options ?
.SH DESCRIPTION
.C two_bugmail
is a replacement for the standard Tk bgerror handler. The most important
feature is its ability to send bug reports to the maintainer of the
software. The user can add his own comments, and the error message and
TCL call stack will be included in the bug report.
.PP
.C two_bugmail
can be configured to hide the code from the user (no call stack and code
snippets on error occurances).
.SH COMMANDS
The
.C two_bugmail
command takes the following commands (as the first argument):
.RS
.TP
.C two_bugmail\ install
Install replacement for the default bgerror mechanism. Takes
all of the options below.
.TP
.C two_bugmail\ configure
Change options for bugmail.
.TP
.C two_bugmail\ cget
Query configuration.
.TP
.C two_bugmail\ remove
Remove bugmail and restore original bgerror handler.
.TP
.C two_bugmail\ comment
Let the user send a comment to the author. This is a bug report
without the need for a tcl error...
.RE
.SH OPTIONS
The
.C two_bugmail
command takes to following options:
.RS
.TP
.CI \-from \ name
Sets address of the mail sender explicitly.
.TP
.CI \-to \ name
Set mail recipient to name.
.TP
.CI \-cc \ name
Send carbon copies to name.
.TP
.CI \-bcc \ name
Send blind carbon copies to name.
.TP
.CI \-subject \ string
Set the mail subject. Any %M will be replaced by a short
error description.
.TP
.CI \-detail \ TCL_BOOLEAN
If set to true (the default), the user can view details about the bug
(the call stack, including code snippets).
.TP
.CI \-version \ string
Supply additional version information to the mail you will recieve. The
string will be literally contained in the message.
.TP
.CI \-info \ string
Supply more verbose info about the current version. Can be multiple
lines (is a section on its own in the generated mail message).
.TP
.CI \-messages \ list
Supply a list of key-value-pairs (suitable for
.IR array\ set )
where the values are messages used by the bugmail widget. The
following keys are defined:
.RS
.TP
.C errorTitle
Title of error dialig box (default: Internal error)
.TP
.C errorIntro
Prepended to the actual error message (default: Internal error: )
.TP
.C bugTitle
Title of bug report dialog box (default: Bug report)
.TP
.C bugInfo
Intro to bug report dialog box, used in place of
.C errorIntro
and an error message (default:
You can mail a bug report to the author of this Software.)
.TP
.C description
Tell user to enter a description of the error (default:
Please enter a short description for the error. When and where did it happen?)
.TP
.C mail
Button text: Mail bug report
.TP
.C send
Button text: Send mail
.TP
.C details
Button text: Details
.TP
.C ok
Button text: Ok
.TP
.C cancel
Button text: Cancel
.TP
.C ignore
Button text: Ignore
.RE
.RE
.SH ELEMENTS
If two_bugmail is turned on and a bgerror occures, it will create a toplevel
widget named
.IR .twoBugmailWindow .
It will use
.C /usr/lib/sendmail\ \-oi\ \-t
for mail sending, so it will only work on UNIX systems.
.SH PORTABILITY ISSUES
Uses
.I sendmail
for mail delivery, so it will only work on UNIX systems.
.SH AUTHOR
Frank J. Leitner
.br
frank@fjl.de
.SH SEE ALSO
error(n), sendmail(1M).
