.TH two_combobox n combobox\ widget TWO\ library
.ds )H FJL
.ds ]W http://fjl.de/two/
.SH NAME
two_combobox \- Combobox widget
.SH SYNOPSIS
.CI package\ require\ twoCombobox \ ?1.0?
.br
.C two_combobox
.I pathName
.RI ? options ?
.SH DESCRIPTION
.C combobox
is an implementation of the combobox widget known from Windows. It combines
an entry widget and a drop-down list (menu) in one widget. The drop-down
list is exposed by clicking the button on the right side of the the entry
widget.
.PP
This implementation adds the ability of interactively resizeing the height
of the drop-down list by dragging its bottom border.
.PP
The combobox widget is available in two looks (unix and windows) and three
modes (normal, fixed and disabled).
.SH COMMANDS
The
.C two_combobox
widget command takes the following commands (as the first argument):
.RS
.TP
.IC pathName\  get
Returns entry\'s string (user\'s input).
.TP
.IC pathName\  set \ string
Sets the entry\'s
.IR string .
.TP
.IC pathName\  setlist \ ?list?
Set the list of values in dropdown box to
.IR list .
.TP
.IC pathName\  getlist
Returns the list of values in dropdown box.
.TP
.IC pathName\  add \ ?list?
Add
.I list
to the list of values in dropdown box.
.TP
.IC pathName\  entry
Returns the pathname of the embedded entry widget.
.TP
.IC pathName\  listbox
Returns the pathname of the embedded listbox widget.
.TP
.IC pathName\  setFocus
Set the focus on the proper subwidget.
.RE
.SH OPTIONS
The
.C two_combobox
command takes all options of the TK entry widget plus to following options:
.RS
.TP
.CI \-command \ ?script?
Run the
.I script
whenever the combobox is opened (before exposing the dropdown list).
Calling
.C return
will cause the combobox to not being opened.
.TP
.C \-state
Specifies one of three states for the combobox:
.IR normal ,
.I fixed
or
.IR disabled .
Defaults to
.IR normal .
If state is fixed, then the user can\'t edit the entry field, while still
being able to select from the dropdown list. A disabled combobox can\'t
be edited interactively.
.TP
.C \-style
Set the
.I style
of the Combobox:
.C unix
for more UNIX-like or
.C windows
for a look like on windows.
.RE
.SH ELEMENTS
A
.C combobox
consists of a main frame (class
.IR TwoComboBox )
with an entry widget and a pushbutton embedded within.
.PP
The dropdown list is a toplevel (append pathname
.I \.drop
to widget name)
with a listbox, an automatic scrollbar and a frame widget (class 
.I TwoComboDropHandle
used as a handle for vertical resizeing).
.SH AUTHOR
Frank J. Leitner
.br
frank@fjl.de
.SH SEE ALSO
entry(n), listbox(n), button(n).
