.TH twoPre n TCL\ emulation\ of\ twopre.pl(1) TWO\ library
.ds )H FJL
.ds ]W http://fjl.de/two/
.SH NAME
twoPre \- TCL emulation the TCL precompiler twopre.pl(1)
.SH SYNOPSIS
.CI package\ require\ twoPre \ ?1.0?
.br
.CI two_define \ macro
.br
.CI two_undef \ macro
.br
.CI two_ifdef \ macro\ script\ ? two_else\  script? \ two_endif
.br
.CI two_ifndef \ macro\ script\ ? two_else\  script? \ two_endif
.SH DESCRIPTION
.C two_pre
is used to emulate the twopre.pl(1) program, which in turn emulates the
C preprocessor. The TCL package twoPre implements all commands used by the
twopre.pl filter. The
.C source
and
.C package\ require
commands are removed by the twopre.pl filter, so you can use the
same file directly as input to the interpreter and as input for the
twopre.pl filter.
.PP
The command line options
.I -DEFINE 
and
.I -UNDEFINE
are parsed as well. They override the settings of
.C two_define
and
.C two_undef
in the code.
.PP
Please note that while this TCL implementation automatically respects all
of the TCL syntax, the preprocessor is different in some ways. There is
no way for the preprocessor to really know what is code and what not, as
this is often only decided at runtime (e.g. the eval command). So it
doesn\'t even try to parse the tcl syntax, and only accepts one
.C two_{define|undef|ifdef|ifndef|else|endif}
command or option per line.
.SH COMMANDS
The
.C twoPre
package contains the following commands:
.RS
.TP
.CI two_define \ macro
Define 
.IR macro .
Doesn\'t take any value! This is not really a macro, but more a
flag which is set.
.TP
.CI two_undef \ macro
Unset
.IR macro .
.TP
.CI two_ifdef \ macro\ script1\ ? two_else\  script2? \ two_endif
Evaluate
.I script1
only if the
.I macro
has been set previously. Otherwise, if present, evaluate
.IR script2 .
Don\'t forget to add the
.C two_endif
at the end of this command.
.TP
.CI two_ifndef \ macro\ script1\ ? two_else\  script2? \ two_endif
Evaluate
.I script1
only if the
.I macro
has not been set previously. Otherwise, if present, evaluate
.IR script2 .
Don\'t forget to add the
.C two_endif
at the end of this command.
.RE
.SH AUTHOR
Frank J. Leitner
.br
frank@fjl.de
.SH SEE ALSO
twopre.pl(1).
