.TH two_html n html\ widget TWO\ library
.ds )H FJL
.ds ]W http://fjl.de/two/
.SH NAME
two_html \- Simple html widget
.SH SYNOPSIS
.CI package\ require\ twoHtml \ ?1.0?
.br
.C two_html
.I pathName
.RI ? options ?
.SH DESCRIPTION
.C two_html
is a simple html widget. It uses a subset of HTML 2.0 language. It
implements hyperlinks (with keyboard navigation) and a page history.
.SH COMMANDS
The
.C two_html
widget command takes all of the text widget commands and additinally
the following:
.RS
.TP
.IC pathName\  show \ URL
Show the html page which is accessed through the URL.
.TP
.IC pathName\  home
Show home page (which can be defined by
.IC pathName\  configure
.IR \-home ).
.TP
.IC pathName\  current
Returns the index of the currently viewed page within the
history of visited html pages.
.TP
.IC pathName\  goto\ pos
Go to index
.I pos
within history of visited html pages.
.TP
.IC pathName\  prev\ ?step?
Go to prevoius html page in the list of visited pages.
.TP
.IC pathName\  next
Go to the next html page in the list of visited pages.
.TP
.IC pathName\  prevState
Return true if
.IC widgetPath\  prev
is possible.
.TP
.IC pathName\  nextState
Return true if
.IC widgetPath\  next
is possible.
.TP
.IC pathName\  add \ URL\ html
Add
.I html
to the widget, available as
.IR URL .
This page will then be used whenever the URL is accessed.
.TP
.IC pathName\  append \ URL\ html
Append the
.I html
to the html text which has been added as
.IR URL .
.TP
.IC pathName\  refresh
Repaint current page.
.RE
.SH OPTIONS
The
.C two_html
command takes all options of the TK text widget plus to following options:
.RS
.TP
.CI \-home \ URL
Sets the home page of the html browser to 
.IR URL .
Defaults to 
.IR home .
.TP
.CI \-linkcolor \ color
Sets the
.I color
of hyperlinks. Defaults to
.IR blue2 .
.TP
.CI \-alinkcolor \ color
Sets the
.I color
of active links (while mouse down). Defaults to
.IR red .
.TP
.CI \-vlinkcolor \ color
Sets the
.I background color
of already visited links. Defaults to 
.IR purple4 .
.TP
.RE
.SH VIRTUAL EVENTS
The
.C two_html
widget may generate the following virtual events:
.RS
.TP
.IR <<PrevOn>>\  and\  <<PrefOff>>
.IC widgetPath\  prev
is possible (On) or impossible (Off).
.TP
.IR <<NextOn>>\  and\  <<NextOff>>
.IC widgetPath\  next
is possible (On) or impossible (Off).
.RE
.SH GLOBAL VARIABLE
The global variable
.C TwoHtmlTitle
holds the title of the current html page: use it in a status bar!
.SH ELEMENTS
The
.C two_html
widget is a TK text widget. It additinally binds the tag
.I TwoHtml
(using bindtags). Fonts used (and created if non-existant) by the
.C html
widget are:
.P
twoHtmlH1 twoHtmlH2 twoHtmlH3 twoHtmlP twoHtmlPB twoHtmlPI   
twoHtmlPBI twoHtmlPC twoHtmlPBC twoHtmlPIC twoHtmlPBIC twoHtmlS    
.SH AUTHOR
Frank J. Leitner
.br
frank@fjl.de
.SH SEE ALSO
text(n).
