.TH two_toolbar n two_toolbar\ widget TWO\ library
.ds )H FJL
.ds ]W http://fjl.de/two/
.SH NAME
two_toolbar \- Toolbar widget
.SH SYNOPSIS
.CI package\ require\ twoToolbar \ ?1.0?
.br
.C two_toolbar
.I pathName
.RI ? options ?
.SH DESCRIPTION
.C two_toolbar
is an implementation of a toolbar consisting of buttons, checkbuttons,
radiobuttons, and combobox. Toolbars can be torn off (to make them
float on top of your application). Buttons have a flat appearance, i.e.
the 3D borders only appear when the mouse is over the button.
.SH COMMANDS
The
.C combobox
widget command takes the following commands (as the first argument):
.RS
.TP
.IC pathName\  add \ type\ ?entryoptions?
Add a new entry to the toolbar.
.I type
can be any of 
.IR button ,
.IR checkbutton ,
.IR radiobutton,
.IR cascade ,
.IR combobox,
.I separator
or
.IR newline .
The entry
.I newline
is the same as a
.IR separator ,
only in torn off state is it handled as a newline,
i.e. the entries after this entry are put in the next
line.
The
.I button
can also be called
.I command
like in a Tk menu.
.TP
.IC pathName\  entrybind \ index\ sequence\ script
Add a binding to button number 
.IR index .
This is needed as every button exists twice (in the
normal toolbar and the torn-off version).
.TP
.IC pathName\  entrycget \ index\ option
Like cget, but applies to button at position
.IR index .
This is needed as every button exists twice (in the
normal toolbar and the torn-off version).
.TP
.IC pathName\  entryconfigure \ index\ ?options?
Like configure, but applies to button at position 
.IR index.
This is needed as every button exists twice (in the
normal toolbar and the torn-off version).
.TP
.IC pathName\  entrycommand \ index\ command\ ?options?
Apply the 
.I command 
and
.I options
to the currently visible incarnation of the
element at index position
.IR index .
.TP
.IC pathName\  tearoff \ TCL_BOOLEAN
Tear the toolbar off (1) or put it back in place (0).
.RE
.SH OPTIONS
The
.C two_toolbar
command takes all options of the TK frame(n) widget plus to following options:
.RS
.TP
.CI -tearoff \ TCL_BOOLEAN
Enable/disable tearoff (like menu). Defaults to 1.
.TP
.CI -title \ string
Set title of torn-off toolbar to
.IR string .
.RE
.SH ENTRY OPTIONS
The elements added to the toolbar take the following options
.RI ( add ,
.IR entrycconfigure ,
.IR entrycget ):
.RS
.TP
.CI \-alias \ string
Set 
.I string
as an alais to the entry which can be used instead of the index for 
.CR entry{configure|cget} .
.TP
.CI \-tip \ string
Adds tooltip
.I string
to this widget.
.TP
.CI \-info \ string
Adds
.I string
for tooltip (long) info string.
.TP
.CI \-label \ string
identical: set the label of a (radio/check) button.
.TP
.CI \-text \ string
Same as
.IR \-label .
.TP
.CI \-command \ script
Evaluated the script (in global context) when button, checkbutton or
radiobutton are pressed. The value of the variable associated
with the checkbutton or radiobutton has already been updated.
.TP
.CI \-onvalue \ value
Set the value of a check\'ed checkbutton.
.TP
.CI \-offvalue\ value
Set the value of an uncheck\'ed checkbutton.
.TP
.CI \-value \ value
Set the variable associated with a set of radiobuttons to the
value of this button if this button is selected.
.TP
.CI \-variable \ varname
.I varname
is the name of the variable (i nglobal context) to be associated with a
checkbutton or a radiobutton. This variable will represent the current state
of the button (checkbutton:
.IR \-onvalue/-offvalue ;
radiobutton:
.IR \-vlaue ).
Changes to this variable are traced; if chaged, the state
of the button(s) will be adopted, but the script (set with
.IR \-command )
will not be evaluated.
.TP
.CI \-menu \ widgetpath
Specify which menu should be used for
.CR add\ menu .
.RE
.SH ELEMENTS
A
.C two_toolbar
consists of a container frame and a second frame embedded within
(class:
.IR TwoToolBar  ,
appended pathname
.IR \.tb )
to enable hiding it. The torn off version of the toolbar consists of
a toplevel widget (class:
.IR TwoToolBar ,
appended pathname
.IR \.top ).
The first element in both toolbar incarantions is the tearoff handle.
.PP
All buttons (normal, check, radio) are built using the normal Tk button
with different bindings. Buttons have a flat relief and only rise on
mouse over. The combobox(n) widget is provieded by this library.
.PP
As there are two versions of the toolbar (in place and torn off), there
is no widget path to the elements. Configuring the entries and applying
tooltips has to be done through the toolbar widget command.
.SH BUGS
.C entryconfigure
and
.C entrycget
don\'t (yet) know all options.
.SH AUTHOR
Frank J. Leitner
.br
frank@fjl.de
.SH SEE ALSO
button(n), two_combobox(n), two_tooltip(n).
