# opt.tcl --
#
#	Set several options in the option database to make tk apps
#	more beatiful, especially on systems using CDE.
#
# Copyright (c) 1998 Frank J. Leitner
#
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# $Header: /home/ldv/cvs/two/lib/opt.tcl,v 1.21 2000/01/13 14:49:18 fjl Exp $

package provide twoOpt 1.0
package require twoUtil

# catch as font might already exist
catch {font create twoTxt -family courier -size 10}
if {[string match "unix" $tcl_platform(platform)]} {
    # Fonts
    catch {font create twoGui -family helvetica -size 10 -weight bold}
    catch {font create twoLbl -family helvetica -size 10}

    # General settings: colors like M$,
    # borderWidth like CDE, etc.
    option add *foreground			black
    option add *background			grey77
    option add *disabledForeground 		grey51
    option add *font				twoGui
    option add *borderWidth			1
    option add *highlightThickness		0
    option add *highlightBackground		grey77
    option add *highlightColor			black
    option add *selectColor			yellow
    option add *insertWidth			3
    option add *insertBorderWidth		1
    option add *insertBackground		red
    option add *insertOffTime			400
    option add *insertOnTime			800

    option add *Frame.relief			flat
    option add *Frame.borderWidth		0

    option add *Button.relief			raised
    option add *Button.highlightThickness	2
    option add *Button.highlightBackground	grey77
    option add *Button.anchor			center

    option add *Radiobutton.relief		flat
    option add *RadioButton.highlightThickness	2
    option add *Radiobutton.anchor		w
    option add *Radiobutton.selectColor		yellow

    option add *Checkbutton.relief		flat
    option add *Checkbutton.highlightThickness	2
    option add *Checkbutton.anchor		w
    option add *Checkbutton.selectColor		yellow

    option add *Text.background			white
    option add *Text.foreground			black
    option add *Text.font			twoTxt
    option add *Text.hardTab			1
    
    option add *Listbox.background		white
    option add *Listbox.foreground		black
    option add *Listbox.font			twoTxt
    option add *Listbox.selectBackground	blue4
    option add *Listbox.selectForeground	white
#    option add *Listbox.borderWidth		0

    option add *Entry.relief                 	sunken
    option add *Entry.background		white
    option add *Entry.foreground		black
    option add *Entry.font			twoTxt

    option add *Label.font			twoLbl

    option add *Canvas.background		white

    option add *Scrollbar.takeFocus		0
    option add *Scrollbar.width			11

    option add *TwoToolBar.relief		raised
    option add *TwoToolBar.borderWidth		1

    # tk_getOpenFile and tk_getSaveFile use button
    # as label (in order to have "-state disabled")
    option add *TkFDialog.f3.lab.font		twoLbl

    # Workaround: bg color of toplevel can't be set by option at runtime
    . configure -bg grey77

    # Workaround: tk_messageBox doesn't bind Escape key
    bind Dialog <Map> {+
	bind %W <Escape> {
            if {[winfo exists %W.cancel]} {
        	two_invoke %W.cancel
	    } elseif {[winfo exists %W.abort]} {
		two_invoke %W.abort
	    } elseif {[winfo exists %W.no]} {
		two_invoke %W.no
	    } elseif {[winfo exists %W.ok]} {
		two_invoke %W.ok
	    }
	}
    }
} else {
    option add *Text.font	twoTxt
    option add *Listbox.font	twoTxt
    option add *Entry.font	twoTxt
}
